Skip to main content
GET
/
api
/
oauth
/
per-user
/
upstream
/
authorize
Error
A valid request URL is required to generate request examples
{
  "event_id": "<string>",
  "type": "<string>",
  "is_bifrost_error": true,
  "status_code": 123,
  "error": {
    "type": "<string>",
    "code": "<string>",
    "message": "<string>",
    "param": "<string>",
    "event_id": "<string>"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "<string>",
    "request_type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Query Parameters

mcp_client_id
string
required

ID of the per-user OAuth MCP client to authenticate with

flow_id
string

Pending consent flow ID. Required if session is not provided. The __bifrost_flow_secret cookie must be present and match the flow.

session
string

Bifrost session ID (from the token endpoint). Required if flow_id is not provided. Used for runtime (post-consent) upstream authorization.

Response

Redirect to upstream OAuth provider's authorize URL